<?php
/**
 * @package     Joomla.Administrator
 * @subpackage  Templates.Cloud
 *
 * @copyright   Copyright (C) 2005 - 2013 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

$app = JFactory::getApplication();
$doc = JFactory::getDocument();
$this->language = $doc->language;
$this->direction = $doc->direction;

// Detecting Active Variables
$option   = $app->input->getCmd('option', '');
$view     = $app->input->getCmd('view', '');
$layout   = $app->input->getCmd('layout', '');
$task     = $app->input->getCmd('task', '');
$itemid   = $app->input->getCmd('Itemid', '');
$sitename = $app->getCfg('sitename');

// Add Stylesheets
$doc->addStyleSheet('templates/'.$this->template.'/css/bootstrap.css');
// Load optional rtl Bootstrap css and Bootstrap bugfixes
JHtmlBootstrap::loadCss($includeMaincss = false, $this->direction);

// Add current user information
$user = JFactory::getUser();

// Adjusting content width
if ($this->countModules('left') && $this->countModules('right'))
{
  $span = "span6";
}
elseif ($this->countModules('left') && !$this->countModules('right'))
{
  $span = "span9";
}
elseif (!$this->countModules('left') && $this->countModules('right'))
{
  $span = "span9";
}
else
{
  $span = "span12";
}
?>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>">
<head>
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <jdoc:include type="head" />
  <!--[if lt IE 9]>
    <script src="<?php echo $this->baseurl ?>/media/jui/js/html5.js"></script>
  <![endif]-->
</head>
<body class="site container-fluid <?php echo $option
  . ' view-' . $view
  . ($layout ? ' layout-' . $layout : ' no-layout')
  . ($task ? ' task-' . $task : ' no-task')
  . ($itemid ? ' itemid-' . $itemid : '');
?>" id="top">

<header class="header">
                
        <?php if ($this->countModules('nav')) : ?>
        <!-- main nav -->
        <nav class="navbar navbar-fixed-top clearfix ">                     
                <!-- .btn-navbar is used as the toggle for collapsed navbar content -->                
        <button class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
        </button>
                <!-- Be sure to leave the brand out there if you want it shown -->
                <a class="brand hidden-desktop" href="#"><?php echo $sitename; ?></a>
                <!-- Everything you want hidden at 940px or less, place within here -->
                <div class="nav-collapse nav-main collapse">
	                <jdoc:include type="modules" name="nav" style="none" />
	                <!-- .nav, .navbar-search, .navbar-form, etc -->
                </div>
                <?php if ($this->countModules('header_CTA')) : ?>
                <div class="nav-collapse collapse pull-right nav-right cta">
                	<!-- heater CTA -->          
                	<jdoc:include type="modules" name="header_CTA" style="none" />
                </div>
                <?php endif; ?>
        </nav>
        <?php endif; ?>          
</header>
<div class="visible-desktop bump"></div>
<jdoc:include type="modules" name="banner" style="none" />
<section class="row-fluid">
	<?php if ($this->countModules('left')) : ?>
          <!-- Begin Sidebar -->
          <aside id="left" class="span3">
              <jdoc:include type="modules" name="left" style="none" />
          </aside>
          <!-- End Sidebar -->
    <?php endif; ?>
    <article id="content" class="<?php echo $span;?>">
            <!-- Begin Content -->
            <jdoc:include type="modules" name="above-content" style="none" />
            <jdoc:include type="message" />
            <jdoc:include type="component" />
            <jdoc:include type="modules" name="below-content" style="none" />
            <!-- End Content -->
    </article>
    <?php if ($this->countModules('right')) : ?>
          <aside id="right" class="span3">
            <!-- Begin Right Sidebar -->
            <jdoc:include type="modules" name="right" style="none" />
            <!-- End Right Sidebar -->
          </aside>
    <?php endif; ?>
</section>
<!-- Footer -->
        <footer class="footer">              
              <jdoc:include type="modules" name="footer" style="none" />
              <hr />
              <p class="pull-right"><a href="#top" id="back-top">Back to top</a></p>
              <p>&copy; <?php echo $sitename; ?> <?php echo date('Y');?></p>
        </footer>
    <?php
    // Add JavaScript Frameworks
  JHtml::_('bootstrap.framework'); 
  ?>
</body>
</html>